Skip to main content
GET
/
features
/
{feature}
Get a feature
import requests

url = "https://{FUSION HOST}/api/features/{feature}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/features/{feature}")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/features/{feature}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/features/{feature}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/features/{feature}"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/features/{feature}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/features/{feature}
{
  "name": "<string>",
  "defaults": {},
  "callback": {
    "uri": "<string>",
    "queryParams": {},
    "headers": {},
    "entity": {}
  }
}

Path Parameters

feature
enum<string>
required

The feature to update. Allowed values:

  • signals: Create a parallel collection for storing signals data (such as user clicks or ratings). Signals need to be indexed and aggregated before they can be used.
  • recommendations: Get configuration information about recommendations. Parameters include idField (document ID field), itemsForUser (enable or disable items-for-user recommendations), itemsForQuery (enable or disable items-for-query recommendations), itemsForItem (enable or disable items-for-item recommendations), and queriesForQuery (enable or disable queries-for-query recommendations).
Available options:
signals,
recommendations

Response

200 - application/json

successful operation

name
string
defaults
object
callback
object